# std::bad_cast::bad_cast

From cppreference.com
< cpp‎ | types‎ | bad cast

bad_cast(); |  |

Constructs new std::bad_cast object. The contents of the byte string returned by `what()` are implementation defined.

### Parameters

(none)

### Exceptions

(none) | (until C++11)
`noexcept` specification: noexcept | (since C++11)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/types/bad_cast/bad_cast&oldid=91698"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template